## ros-indigo-laser-joint-processor 1.0.9

=== CMakeLists.txt ===
# Catkin User Guide: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/user_guide.html
# Catkin CMake Standard: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/standards.html
cmake_minimum_required(VERSION 2.8.3)
project(laser_joint_processor)
# Load catkin and all dependencies required for this package
# TODO: remove all from COMPONENTS that are not catkin packages.
find_package(catkin REQUIRED COMPONENTS geometry_msgs message_filters settlerlib joint_states_settler)
find_package(OpenCV REQUIRED)
find_package(Boost REQUIRED COMPONENTS signals thread)

include_directories(${Boost_INCLUDE_DIRS})
include_directories(${OpenCV_INCLUDE_DIRS})
include_directories(include ${catkin_INCLUDE_DIRS})



# include_directories(include ${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS})
# CATKIN_MIGRATION: removed during catkin migration
# cmake_minimum_required(VERSION 2.4.6)

# CATKIN_MIGRATION: removed during catkin migration
# include($ENV{ROS_ROOT}/core/rosbuild/rosbuild.cmake)

# Set the build type. Options are:
# Coverage : w/ debug symbols, w/o optimization, w/ code-coverage
# Debug : w/ debug symbols, w/o optimization
# Release : w/o debug symbols, w/ optimization
# RelWithDebInfo : w/ debug symbols, w/ optimization
# MinSizeRel : w/o debug symbols, w/ optimization, stripped binaries
#set(ROS_BUILD_TYPE RelWithDebInfo)


# CATKIN_MIGRATION: removed during catkin migration
# rosbuild_init()

#set the default path for built executables to the "bin" directory
#set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)
#set the default path for built libraries to the "lib" directory
#set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib)

#find_package(OpenCV)
#find_package(OpenCV2)


# CATKIN_MIGRATION: removed during catkin migration
# rosbuild_add_boost_directories()



#common commands for building c++ executables and libraries
#add_library(${PROJECT_NAME} src/example.cpp)
#target_link_libraries(${PROJECT_NAME} another_library)
#add_executable(example examples/example.cpp)
#target_link_libraries(example ${PROJECT_NAME})

## Generate added messages and services with any dependencies listed here
#generate_messages(
# #TODO DEPENDENCIES geometry_msgs std_msgs
#)

# catkin_package parameters: http://ros.org/doc/groovy/api/catkin/html/dev_guide/generated_cmake_api.html#catkin-package
# TODO: fill in what other packages will need to use this package
catkin_package(
    DEPENDS
    CATKIN_DEPENDS geometry_msgs message_filters settlerlib joint_states_settler
    INCLUDE_DIRS include/${PROJECT_NAME}# TODO include
    LIBRARIES # TODO
)

add_library(${PROJECT_NAME} src/joint_imager.cpp
                                     src/laser_joint_processor.cpp
                                     src/joint_image_interpolator.cpp)

target_link_libraries(${PROJECT_NAME} ${OpenCV_LIBRARIES} ${catkin_LIBRARIES})

add_executable(laser_joint_processor_node src/laser_joint_processor_node.cpp)
target_link_libraries(laser_joint_processor_node ${PROJECT_NAME} ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})


target_link_libraries(laser_joint_processor_node ${Boost_LIBRARIES} ${OpenCV_LIBRARIES})

#catkin_add_gtest(joint_imager_unittest test/joint_imager_unittest.cpp)
#target_link_libraries(joint_imager_unittest laser_joint_processor)

#catkin_add_gtest(joint_image_interpolator_unittest test/joint_image_interpolator_unittest.cpp)
#target_link_libraries(joint_image_interpolator_unittest laser_joint_processor)

#catkin_add_gtest(interp_snapshot_unittest test/interp_snapshot_unittest.cpp)
#target_link_libraries(interp_snapshot_unittest laser_joint_processor)

#catkin_add_gtest(laser_joint_processor_unittest test/#laser_joint_processor_unittest.cpp)
#target_link_libraries(laser_joint_processor_unittest laser_joint_processor)

=== test/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR})

# ********** Tests **********

catkin_add_gtest(test/joint_imager_unittest joint_imager_unittest.cpp)
target_link_libraries(test/joint_imager_unittest laser_joint_processor)

catkin_add_gtest(test/joint_image_interpolator_unittest joint_image_interpolator_unittest.cpp)
target_link_libraries(test/joint_image_interpolator_unittest laser_joint_processor)

catkin_add_gtest(test/interp_snapshot_unittest interp_snapshot_unittest.cpp)
target_link_libraries(test/interp_snapshot_unittest laser_joint_processor)

catkin_add_gtest(test/laser_joint_processor_unittest laser_joint_processor_unittest.cpp)
target_link_libraries(test/laser_joint_processor_unittest laser_joint_processor)

=== debian/changelog ===
ros-indigo-laser-joint-processor (1.0.9-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Devon Ash <dash@clearpathrobotics.com>  Sat, 10 Mar 2018 21:30:25 -0000

ros-indigo-laser-joint-processor (1.0.7-0trusty) trusty; urgency=high

  * Updated opencv dependencies and rosdep tag
  * Fix catkin_package macro of laser_joint_processor
  * Contributors: Ryohei Ueda, TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 06 Feb 2015 08:00:00 -0000

ros-indigo-laser-joint-processor (1.0.6-0trusty) trusty; urgency=high

  * Changelogs
  * Revert "Fix dependency of laser_joint_processor"
  * Fix dependency of laser_joint_processor
  * Contributors: Devon Ash, Ryohei Ueda, TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Thu, 04 Dec 2014 08:00:00 -0000

ros-indigo-laser-joint-processor (1.0.5-0trusty) trusty; urgency=high

  * Removed mainpage.dox for *
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 14 Oct 2014 07:00:00 -0000

ros-indigo-laser-joint-processor (1.0.4-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Wed, 17 Sep 2014 07:00:00 -0000

ros-indigo-laser-joint-processor (1.0.3-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Thu, 11 Sep 2014 07:00:00 -0000

ros-indigo-laser-joint-processor (1.0.1-0trusty) trusty; urgency=high

  * Catkin linted
  * Added hydro devel, compiles and makes in hydro
  * Broken cmake, fixed now
  * Removed unnecessary build files and bin
  * Catkinization of laser_joint_processor
  * Fix laser detection with new opencv API.
  * Contributors: Austin Hendrix, TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Mon, 08 Sep 2014 07:00:00 -0000

=== debian/control ===
Source: ros-indigo-laser-joint-processor
Section: misc
Priority: extra
Maintainer: Devon Ash <dash@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-image-geometry, ros-indigo-joint-states-settler, ros-indigo-message-filters, ros-indigo-settlerlib
Homepage: http://www.ros.org/wiki/laser_joint_processor
Standards-Version: 3.9.2

Package: ros-indigo-laser-joint-processor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-geometry-msgs, ros-indigo-image-geometry, ros-indigo-joint-states-settler, ros-indigo-message-filters, ros-indigo-settlerlib
Description: Computes joint angles associated with a specific set of detected checkerboard corners.
 This package is experimental and unstable. Expect its APIs to change.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-laser-joint-processor//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
